> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses billsbulkschedule payment



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/bills/bulk/schedule-payment
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/bills/bulk/schedule-payment:
    post:
      tags:
        - BusinessBills
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillsBulkSchedulePaymentRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/BillsBulkSchedulePaymentRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/BillsBulkSchedulePaymentRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/BillsBulkActionResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/BillsBulkActionResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/BillsBulkActionResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    BillsBulkSchedulePaymentRequest:
      type: object
      properties:
        billIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        comment:
          type: string
          nullable: true
        scheduledDate:
          type: string
          format: date-time
        paymentMethod:
          type: string
          nullable: true
      additionalProperties: false
    BillsBulkActionResponse:
      type: object
      properties:
        successCount:
          type: integer
          format: int32
        failedCount:
          type: integer
          format: int32
        skippedCount:
          type: integer
          format: int32
        results:
          type: array
          items:
            $ref: '#/components/schemas/BillsBulkActionResult'
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    BillsBulkActionResult:
      type: object
      properties:
        billId:
          type: integer
          format: int64
        success:
          type: boolean
        error:
          type: string
          nullable: true
        errorCode:
          type: string
          nullable: true
        currentStatus:
          $ref: '#/components/schemas/BillsBillStatus'
      additionalProperties: false
    BillsBillStatus:
      enum:
        - DRAFT
        - PENDING_APPROVAL
        - APPROVED
        - READY_FOR_PAYMENT
        - SCHEDULED
        - PROCESSING
        - PAID
        - MARKED_PAID
        - DENIED
        - CANCELLED
        - PAYMENT_FAILED
      type: string

````